package org.joanmoncho;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.*;

public class Main {
    static File fichero;

    public static void main(String[] args) throws IOException {

         fichero = new File("C:\\Users\\JoanMoncho\\Documents\\ActividadesJuanjo\\empleados.xml");

         parser();

    }

    public static void parser(){

        try {
            DocumentBuilderFactory dbFactory = DocumentBuilderFactory.newInstance();
            DocumentBuilder dBuilder = dbFactory.newDocumentBuilder();
            Document doc = dBuilder.parse(fichero);
            doc.getDocumentElement().normalize();

            NodeList nList = doc.getElementsByTagName("empleado");

            System.out.println("Numero de empleados: " + nList.getLength());

            for(int temp = 0; temp < nList.getLength(); temp++) {
                Node node = nList.item(temp);

                if(node.getNodeType() == Node.ELEMENT_NODE) {
                    Element element = (Element) node;

                    System.out.println("\nID del empleado: " + element.getAttribute("id"));
                    System.out.println("Nombre: " + element.getElementsByTagName("nombre").item(0).getTextContent());
                    System.out.println("Apellido: " + element.getElementsByTagName("apellido").item(0).getTextContent());
                    System.out.println("Departamento: " + element.getElementsByTagName("departamento").item(0).getTextContent());
                    System.out.println("Salario: " + element.getElementsByTagName("salario").item(0).getTextContent());
                }
            }
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

}